# Command: testsuite::ticket-519

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-519 - Ensure that multimeter behaves even if no data on some threads

Synopsis:

    (ticket-519) run -> NEST exits if test fails

Description:

      If multimeter is recording from fewer nodes than threads, then the instance on some threads will
      collect no data. Up to r9252, this can cause NEST to crash at least in accumulator mode. This
      test ensures that no crash occurs.

Author:

    Hans Ekkehard Plesser, 2011-06-16

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/testsuite/regressiontests/ticket-519.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative